== Why is this an issue?

include::../description.adoc[]

For example, with the default provided regular expression ``++^[A-Z][a-zA-Z0-9]*$++``, the class:

[source,ruby]
----
class my_class # Noncompliant
  ...
end
----

should be renamed to

[source,ruby]
----
class MyClass
  ...
end
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****

----
^[A-Z][a-zA-Z0-9]*$
----

Regular expression used to check the class names against.
****

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
